# All symbols in TensorFlow Ranking

## Primary symbols

*   <a href="./tfr.md"><code>tfr</code></a>
*   <a href="./tfr/data.md"><code>tfr.data</code></a>
*   <a href="./tfr/data/build_ranking_dataset.md"><code>tfr.data.build_ranking_dataset</code></a>
*   <a href="./tfr/data/build_ranking_dataset_with_parsing_fn.md"><code>tfr.data.build_ranking_dataset_with_parsing_fn</code></a>
*   <a href="./tfr/data/build_ranking_serving_input_receiver_fn.md"><code>tfr.data.build_ranking_serving_input_receiver_fn</code></a>
*   <a href="./tfr/data/build_ranking_serving_input_receiver_fn_with_parsing_fn.md"><code>tfr.data.build_ranking_serving_input_receiver_fn_with_parsing_fn</code></a>
*   <a href="./tfr/data/build_sequence_example_serving_input_receiver_fn.md"><code>tfr.data.build_sequence_example_serving_input_receiver_fn</code></a>
*   <a href="./tfr/data/make_parsing_fn.md"><code>tfr.data.make_parsing_fn</code></a>
*   <a href="./tfr/data/parse_from_example_in_example.md"><code>tfr.data.parse_from_example_in_example</code></a>
*   <a href="./tfr/data/parse_from_example_list.md"><code>tfr.data.parse_from_example_list</code></a>
*   <a href="./tfr/data/parse_from_sequence_example.md"><code>tfr.data.parse_from_sequence_example</code></a>
*   <a href="./tfr/data/read_batched_sequence_example_dataset.md"><code>tfr.data.read_batched_sequence_example_dataset</code></a>
*   <a href="./tfr/estimator.md"><code>tfr.estimator</code></a>
*   <a href="./tfr/estimator/EstimatorBuilder.md"><code>tfr.estimator.EstimatorBuilder</code></a>
*   <a href="./tfr/estimator/GAMEstimatorBuilder.md"><code>tfr.estimator.GAMEstimatorBuilder</code></a>
*   <a href="./tfr/estimator/make_dnn_ranking_estimator.md"><code>tfr.estimator.make_dnn_ranking_estimator</code></a>
*   <a href="./tfr/estimator/make_gam_ranking_estimator.md"><code>tfr.estimator.make_gam_ranking_estimator</code></a>
*   <a href="./tfr/ext.md"><code>tfr.ext</code></a>
*   <a href="./tfr/ext/pipeline.md"><code>tfr.ext.pipeline</code></a>
*   <a href="./tfr/ext/pipeline/RankingPipeline.md"><code>tfr.ext.pipeline.RankingPipeline</code></a>
*   <a href="./tfr/feature.md"><code>tfr.feature</code></a>
*   <a href="./tfr/feature/encode_features.md"><code>tfr.feature.encode_features</code></a>
*   <a href="./tfr/feature/encode_listwise_features.md"><code>tfr.feature.encode_listwise_features</code></a>
*   <a href="./tfr/feature/encode_pointwise_features.md"><code>tfr.feature.encode_pointwise_features</code></a>
*   <a href="./tfr/feature/make_identity_transform_fn.md"><code>tfr.feature.make_identity_transform_fn</code></a>
*   <a href="./tfr/head.md"><code>tfr.head</code></a>
*   <a href="./tfr/head/create_multi_ranking_head.md"><code>tfr.head.create_multi_ranking_head</code></a>
*   <a href="./tfr/head/create_ranking_head.md"><code>tfr.head.create_ranking_head</code></a>
*   <a href="./tfr/keras.md"><code>tfr.keras</code></a>
*   <a href="./tfr/keras/canned.md"><code>tfr.keras.canned</code></a>
*   <a href="./tfr/keras/canned/DNNRankingNetwork.md"><code>tfr.keras.canned.DNNRankingNetwork</code></a>
*   <a href="./tfr/keras/canned/GAMRankingNetwork.md"><code>tfr.keras.canned.GAMRankingNetwork</code></a>
*   <a href="./tfr/keras/canned/dnn.md"><code>tfr.keras.canned.dnn</code></a>
*   <a href="./tfr/keras/canned/DNNRankingNetwork.md"><code>tfr.keras.canned.dnn.DNNRankingNetwork</code></a>
*   <a href="./tfr/keras/canned/gam.md"><code>tfr.keras.canned.gam</code></a>
*   <a href="./tfr/keras/canned/GAMRankingNetwork.md"><code>tfr.keras.canned.gam.GAMRankingNetwork</code></a>
*   <a href="./tfr/keras/estimator.md"><code>tfr.keras.estimator</code></a>
*   <a href="./tfr/keras/estimator/model_to_estimator.md"><code>tfr.keras.estimator.model_to_estimator</code></a>
*   <a href="./tfr/keras/feature.md"><code>tfr.keras.feature</code></a>
*   <a href="./tfr/keras/feature/EncodeListwiseFeatures.md"><code>tfr.keras.feature.EncodeListwiseFeatures</code></a>
*   <a href="./tfr/keras/feature/GenerateMask.md"><code>tfr.keras.feature.GenerateMask</code></a>
*   <a href="./tfr/keras/feature/create_keras_inputs.md"><code>tfr.keras.feature.create_keras_inputs</code></a>
*   <a href="./tfr/keras/feature/deserialize_feature_columns.md"><code>tfr.keras.feature.deserialize_feature_columns</code></a>
*   <a href="./tfr/keras/feature/serialize_feature_columns.md"><code>tfr.keras.feature.serialize_feature_columns</code></a>
*   <a href="./tfr/keras/losses.md"><code>tfr.keras.losses</code></a>
*   <a href="./tfr/keras/losses/ApproxMRRLoss.md"><code>tfr.keras.losses.ApproxMRRLoss</code></a>
*   <a href="./tfr/keras/losses/ApproxNDCGLoss.md"><code>tfr.keras.losses.ApproxNDCGLoss</code></a>
*   <a href="./tfr/keras/losses/GumbelApproxNDCGLoss.md"><code>tfr.keras.losses.GumbelApproxNDCGLoss</code></a>
*   <a href="./tfr/keras/losses/ListMLELoss.md"><code>tfr.keras.losses.ListMLELoss</code></a>
*   <a href="./tfr/keras/losses/MeanSquaredLoss.md"><code>tfr.keras.losses.MeanSquaredLoss</code></a>
*   <a href="./tfr/keras/losses/PairwiseHingeLoss.md"><code>tfr.keras.losses.PairwiseHingeLoss</code></a>
*   <a href="./tfr/keras/losses/PairwiseLogisticLoss.md"><code>tfr.keras.losses.PairwiseLogisticLoss</code></a>
*   <a href="./tfr/keras/losses/PairwiseSoftZeroOneLoss.md"><code>tfr.keras.losses.PairwiseSoftZeroOneLoss</code></a>
*   <a href="./tfr/keras/losses/RankingLossKey.md"><code>tfr.keras.losses.RankingLossKey</code></a>
*   <a href="./tfr/keras/losses/SigmoidCrossEntropyLoss.md"><code>tfr.keras.losses.SigmoidCrossEntropyLoss</code></a>
*   <a href="./tfr/keras/losses/SoftmaxLoss.md"><code>tfr.keras.losses.SoftmaxLoss</code></a>
*   <a href="./tfr/keras/losses/get.md"><code>tfr.keras.losses.get</code></a>
*   <a href="./tfr/keras/metrics.md"><code>tfr.keras.metrics</code></a>
*   <a href="./tfr/keras/metrics/ARPMetric.md"><code>tfr.keras.metrics.ARPMetric</code></a>
*   <a href="./tfr/keras/metrics/DCGMetric.md"><code>tfr.keras.metrics.DCGMetric</code></a>
*   <a href="./tfr/keras/metrics/MRRMetric.md"><code>tfr.keras.metrics.MRRMetric</code></a>
*   <a href="./tfr/keras/metrics/MeanAveragePrecisionMetric.md"><code>tfr.keras.metrics.MeanAveragePrecisionMetric</code></a>
*   <a href="./tfr/keras/metrics/NDCGMetric.md"><code>tfr.keras.metrics.NDCGMetric</code></a>
*   <a href="./tfr/keras/metrics/OPAMetric.md"><code>tfr.keras.metrics.OPAMetric</code></a>
*   <a href="./tfr/keras/metrics/PrecisionMetric.md"><code>tfr.keras.metrics.PrecisionMetric</code></a>
*   <a href="./tfr/keras/metrics/default_keras_metrics.md"><code>tfr.keras.metrics.default_keras_metrics</code></a>
*   <a href="./tfr/keras/model.md"><code>tfr.keras.model</code></a>
*   <a href="./tfr/keras/model/create_keras_model.md"><code>tfr.keras.model.create_keras_model</code></a>
*   <a href="./tfr/keras/network.md"><code>tfr.keras.network</code></a>
*   <a href="./tfr/keras/network/RankingNetwork.md"><code>tfr.keras.network.RankingNetwork</code></a>
*   <a href="./tfr/keras/network/UnivariateRankingNetwork.md"><code>tfr.keras.network.UnivariateRankingNetwork</code></a>
*   <a href="./tfr/losses.md"><code>tfr.losses</code></a>
*   <a href="./tfr/losses/RankingLossKey.md"><code>tfr.losses.RankingLossKey</code></a>
*   <a href="./tfr/losses/create_ndcg_lambda_weight.md"><code>tfr.losses.create_ndcg_lambda_weight</code></a>
*   <a href="./tfr/losses/create_p_list_mle_lambda_weight.md"><code>tfr.losses.create_p_list_mle_lambda_weight</code></a>
*   <a href="./tfr/losses/create_reciprocal_rank_lambda_weight.md"><code>tfr.losses.create_reciprocal_rank_lambda_weight</code></a>
*   <a href="./tfr/losses/make_loss_fn.md"><code>tfr.losses.make_loss_fn</code></a>
*   <a href="./tfr/losses/make_loss_metric_fn.md"><code>tfr.losses.make_loss_metric_fn</code></a>
*   <a href="./tfr/metrics.md"><code>tfr.metrics</code></a>
*   <a href="./tfr/metrics/RankingMetricKey.md"><code>tfr.metrics.RankingMetricKey</code></a>
*   <a href="./tfr/metrics/average_relevance_position.md"><code>tfr.metrics.average_relevance_position</code></a>
*   <a href="./tfr/metrics/compute_mean.md"><code>tfr.metrics.compute_mean</code></a>
*   <a href="./tfr/metrics/discounted_cumulative_gain.md"><code>tfr.metrics.discounted_cumulative_gain</code></a>
*   <a href="./tfr/metrics/eval_metric.md"><code>tfr.metrics.eval_metric</code></a>
*   <a href="./tfr/metrics/make_ranking_metric_fn.md"><code>tfr.metrics.make_ranking_metric_fn</code></a>
*   <a href="./tfr/metrics/mean_average_precision.md"><code>tfr.metrics.mean_average_precision</code></a>
*   <a href="./tfr/metrics/mean_reciprocal_rank.md"><code>tfr.metrics.mean_reciprocal_rank</code></a>
*   <a href="./tfr/metrics/normalized_discounted_cumulative_gain.md"><code>tfr.metrics.normalized_discounted_cumulative_gain</code></a>
*   <a href="./tfr/metrics/ordered_pair_accuracy.md"><code>tfr.metrics.ordered_pair_accuracy</code></a>
*   <a href="./tfr/metrics/precision.md"><code>tfr.metrics.precision</code></a>
*   <a href="./tfr/model.md"><code>tfr.model</code></a>
*   <a href="./tfr/model/make_groupwise_ranking_fn.md"><code>tfr.model.make_groupwise_ranking_fn</code></a>
*   <a href="./tfr/utils.md"><code>tfr.utils</code></a>
*   <a href="./tfr/utils/approx_ranks.md"><code>tfr.utils.approx_ranks</code></a>
*   <a href="./tfr/utils/de_noise.md"><code>tfr.utils.de_noise</code></a>
*   <a href="./tfr/utils/inverse_max_dcg.md"><code>tfr.utils.inverse_max_dcg</code></a>
*   <a href="./tfr/utils/is_label_valid.md"><code>tfr.utils.is_label_valid</code></a>
*   <a href="./tfr/utils/ndcg.md"><code>tfr.utils.ndcg</code></a>
*   <a href="./tfr/utils/organize_valid_indices.md"><code>tfr.utils.organize_valid_indices</code></a>
*   <a href="./tfr/utils/padded_nd_indices.md"><code>tfr.utils.padded_nd_indices</code></a>
*   <a href="./tfr/utils/reshape_first_ndims.md"><code>tfr.utils.reshape_first_ndims</code></a>
*   <a href="./tfr/utils/reshape_to_2d.md"><code>tfr.utils.reshape_to_2d</code></a>
*   <a href="./tfr/utils/scatter_to_2d.md"><code>tfr.utils.scatter_to_2d</code></a>
*   <a href="./tfr/utils/segment_sorted_ranks.md"><code>tfr.utils.segment_sorted_ranks</code></a>
*   <a href="./tfr/utils/shuffle_valid_indices.md"><code>tfr.utils.shuffle_valid_indices</code></a>
*   <a href="./tfr/utils/sort_by_scores.md"><code>tfr.utils.sort_by_scores</code></a>
*   <a href="./tfr/utils/sorted_ranks.md"><code>tfr.utils.sorted_ranks</code></a>
