<div itemscope itemtype="http://developers.google.com/ReferenceObject">
<meta itemprop="name" content="tfr" />
<meta itemprop="path" content="Stable" />
<meta itemprop="property" content="__version__"/>
</div>

# Module: tfr

<!-- Insert buttons and diff -->

<table class="tfo-notebook-buttons tfo-api" align="left">

<td>
  <a target="_blank" href="https://github.com/tensorflow/ranking/tree/master/tensorflow_ranking/__init__.py">
    <img src="https://www.tensorflow.org/images/GitHub-Mark-32px.png" />
    View source on GitHub
  </a>
</td>
</table>

TensorFlow Ranking, the project to build ranking models on TensorFlow.

## Modules

[`data`](./tfr/data.md) module: Input data parsing for tf-ranking library.

[`estimator`](./tfr/estimator.md) module: Provides an `EstimatorBuilder` for
creating a TF-Ranking model estimator.

[`ext`](./tfr/ext.md) module: TensorFlow Ranking library.

[`feature`](./tfr/feature.md) module: Feature transformations for ranking
library.

[`head`](./tfr/head.md) module: Defines `Head`s of TF ranking models.

[`keras`](./tfr/keras.md) module: TensorFlow Ranking Keras Module.

[`losses`](./tfr/losses.md) module: Defines ranking losses as TF ops.

[`metrics`](./tfr/metrics.md) module: Defines ranking metrics as TF ops.

[`model`](./tfr/model.md) module: Tensorflow Ranking model library.

[`utils`](./tfr/utils.md) module: Utility functions for ranking library.

## Other Members

*   `__version__ = '0.3.1.dev'` <a id="__version__"></a>
